6.0.0-git
2019-03-23

[#12715] Automatically add invitations to calendar
Summary Automatically add invitations to calendar
Queue IMP
Queue Version Git master
Type Enhancement
State Rejected
Priority 1. Low
Owners
Requester brunomarsal (at) googlemail (dot) com
Created 2013-09-27 (2003 days ago)
Due
Updated 2013-10-08 (1992 days ago)
Assigned
Resolved 2013-10-07 (1993 days ago)
Milestone
Patch No

History
2013-10-08 13:41:24 Jan Schneider Comment #9 Reply to this comment
The only option that might make sense is to automatically accept
invitation responses from event attendees. But this still has to be
done on the MTA level, even though it might happen via Horde script.
I thought this was already possible (Bug: 11376), or do I 
misunderstand your point?
That's not on the MTA level so it only works when watching the itip 
attachment, but basically yes.
2013-10-08 13:25:18 Michael Rubinsky Comment #8 Reply to this comment
The only option that might make sense is to automatically accept 
invitation responses from event attendees. But this still has to be 
done on the MTA level, even though it might happen via Horde script.
I thought this was already possible (Bug: 11376), or do I 
misunderstand your point?
2013-10-08 09:03:15 Jan Schneider Comment #7 Reply to this comment
The only option that might make sense is to automatically accept 
invitation responses from event attendees. But this still has to be 
done on the MTA level, even though it might happen via Horde script.
2013-10-07 20:20:17 Michael Slusarz Comment #6 Reply to this comment
For what it's worth, he is probably looking for functionality 
similar to what Exchange provides.
My response demonstrates my deep, intricate knowledge of Outlook 
internals.  Namely: zero.
2013-10-07 20:14:01 Michael Rubinsky Comment #5 Reply to this comment
For what it's worth, he is probably looking for functionality similar 
to what Exchange provides. Event invitations can automatically be 
added as  temporary events, but they are not really "normal" events. 
They are deleted from the calendar when the event is responded to (a 
new "real" event is added to the calendar if accepted), or when the 
invitation email is deleted. Event responses can be done from either 
the email or the temporary event entry in the calendar.  Of course, 
Exchange is working on it's internal MAPI data and not the standard 
IMAP data. Still, not something that really belongs in our code.

2013-10-07 19:13:00 Michael Slusarz Comment #4
State ⇒ Rejected
Reply to this comment
I do not even want to open the message. If the mail is an invitation 
it should just automatically be added to the calendar (in state 
"tentative") as soon as it arrives in the mailbox (or is processed 
by whcihever process of horde).
This is NOT something that Horde/IMP can/should do.  Actions triggered 
on delivery to a mailbox is something that needs to be done on the MTA 
level.
If I want to attend/accept/decline the invitation, I open this 
calendar item (or the mail!?) and accept/decline it. Or just keep it 
in the calendar for reference.
Except this is just the opposite of every other workflow.  The default 
for calendaring is that you are free, and only when you pro-actively 
decide to schedule something does your time become busy.

Having the default be that all of your time might be busy, and you 
de-select an event, is working backwards.

Imagine I send someone an e-vite.  The default should be that the 
recipient has to opt-in to the event.  Having the event be put into 
your calendar, and only later do you opt-out, makes no sense 
(especially from the sender: if they look at your calendar and see it 
in, they are going to assume that you are coming and will plan 
accordingly.)
You are right, spammers could easily flood your calendar. Users 
should either have a spamchecker installed or keep the "auto add 
invitations to calendar" option switched off if this is a problem 
for them. But I have never seen spam invitations :)
Then this is the fatal flaw in your argument . You can NEVER implement 
a feature that can be used to spam.  Just because you haven't seen it 
doesn't mean it 1) doesn't exist or 2) won't be exploited in the future.
2013-10-05 19:37:09 brunomarsal (at) googlemail (dot) com Comment #3 Reply to this comment
I do not even want to open the message. If the mail is an invitation 
it should just automatically be added to the calendar (in state 
"tentative") as soon as it arrives in the mailbox (or is processed by 
whcihever process of horde).
If I want to attend/accept/decline the invitation, I open this 
calendar item (or the mail!?) and accept/decline it. Or just keep it 
in the calendar for reference.
Imagine you forget/skip over the meeting invitation in your mailbox, 
then latest your mobile phone will notify you at the day of the meeting.

It is also easier to open an calendar item and accept/decline from the 
caelndar instead of finding the mail and use the action items in it 
(in Outlook at least this is the case).
Mobile phones have great support for accepting/decline invitations in 
the calendar also.


You are right, spammers could easily flood your calendar. Users should 
either have a spamchecker installed or keep the "auto add invitations 
to calendar" option switched off if this is a problem for them. But I 
have never seen spam invitations :)

In addition to Google Mail and the good old Blackberry I know one 
more: MS Exchange servers also do the same (probably thats an option 
also). When your mailbox receives an invitation, it will be added to 
your calendar (in state "tentative").
Yikes!  How is this supposed to work?

Example: I'm a spammer.  I use a known contact of yours to send you 
a message.  You open the message.  100's of spam calendar entries 
automatically appear in your calendar.
2013-09-30 21:25:37 Michael Slusarz Comment #2
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment
Yikes!  How is this supposed to work?

Example: I'm a spammer.  I use a known contact of yours to send you a 
message.  You open the message.  100's of spam calendar entries 
automatically appear in your calendar.
2013-09-27 14:12:20 brunomarsal (at) googlemail (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ Automatically add invitations to calendar
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Google provides an option to automatically add a meeting invitation to 
the calendar.
BlackBerry 7.1 (or the BIS/BES?) does the same: Meeting invitation are 
automatically added to the calendar.
It would be great horde would have an option integrated to activate 
such a feature. Maybe this is something to be integrated to Ingo?

Saved Queries